## user-ja 0.28.potato.1

=== Makefile ===
#! /usr/bin/make -f
#
# Makefile for user-ja

all:
	./check_translation

install:
	install -m 755 user-ja-conf $(DESTDIR)/usr/bin
	install -m 644 general.pl support.*.pl support.language.pl.template \
		 *.dot.* $(DESTDIR)/usr/share/user-ja
	install -m 644 user-ja-conf.1 $(DESTDIR)/usr/share/man/man1
	install -m 644 user-ja-conf.ja.1 $(DESTDIR)/usr/share/man/ja/man1/user-ja-conf.1

clean:
	rm -f *~

=== debian/changelog ===
user-ja (0.28.potato.1) frozen unstable; urgency=low

  * Documents are updated since some of mentioned packages are updated
    and the contents of the documents is obsolete.  The obsolete package 
    names (emacs-dl-{canna,wnn}-20.5a) in script support.ja.pl are also 
    modified.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Tue, 11 Jul 2000 10:20:21 +0900

user-ja (0.28) frozen unstable; urgency=low

  * Changed dependency according to integration of gconv-modules into
    locales pagkage.
  * The document now says that you need 'locales' package instead of
    'gconv-modules' package.
  * IceWM can display Japanese characters without configuration (in
    documents).
  * A key stroke for input mode transition in SKK works well in kterm.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Mon, 1 Feb 2000 10:10:30 +0900

user-ja (0.27) unstable; urgency=low

  * Fixed typo in manpage.
  * Supported emacs20-dl, emacs-dl-canna-20.5a, and emacs-dl-wnn-20.5a.
    (.emacs)

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Wed, 12 Jan 2000 22:58:30 +0900

user-ja (0.26) unstable; urgency=low

  * 'support.language.pl.template' is used as a default language
    support file when the language support file is poor.
  * LANG variable is again ja_JP.ujis.
  * Fixed typo in help message.
  * Japanese characters are regarded to be able to be displayed when
    $TERM is 'jfbterm' (support.ja_JP.pl).
  * When 'kon' is not installed, user-ja-conf will not ask whether to
    invoke 'kon' (support.ja_JP.pl).
  * Format of language support file is changed.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Sun,  2 Jan 2000 17:32:32 +0900

user-ja (0.25) unstable; urgency=low

  * Fixed typo in .emacs.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Thu, 23 Dec 1999 18:50:03 +0900

user-ja (0.24) unstable; urgency=low

  * Invokes /usr/bin/gnome-session if it exists. (.xsession)  Thus
    examples/dot.xsession is deleted.
  * Introduced blackbox and dedit which can display Japanese in README.jis.
  * Japanese EUC is set to default codeset in shell-mode in xemacs.
  * jgrep is used for emacs grep command if it exists. (.emacs)
  * 'font-lock' is used. (.emacs)
  * Fixed typo in .emacs.
  * Shows a message to install jgroff when groff is installed.
  * 'Recommends: ncurses-term' to obtain TERM=kterm.
  * 'Suggests: jless|lv' instead of 'Suggests: jless'.
  * LANG variable is changed from ja_JP.ujis to ja_JP.eucJP.
  * /usr/share/doc/user-ja/README.jis is changed to README.eucJP.
  * 'Suggests: kon2|jfbterm' instead of 'Suggests: kon2'.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Sat, 20 Nov 1999 20:50:47 +0900

user-ja (0.23) unstable; urgency=low

  * Introduced lv, jvim-canna, and lynx packages which can handle 
    Japanese in README.jis.
  * LESS variable is changed so that cursor keys are available when
    less is invoked in kterm. (.bashrc, .cshrc)
  * 'VT100.Translations' resources for BackSpace and Delete are 
    added for KTerm because setting of Japanese conversion breaks it.
  * Added '-N' option for internal use which inhibits to fork another
    user-ja-conf for establishing 'native language environment', that
    is, an environment where native (Japanese) characters can be 
    displayed.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Fri, 9 Nov 1999 10:50:55 +0900

user-ja (0.22) unstable; urgency=low

  * Usage of SKK in mule2 is enabled.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Fri, 5 Nov 1999 23:07:30 +0900

user-ja (0.21) unstable; urgency=low

  * examples/japanese.steprc is renewed.
  * yc-el became the default interface to connect emacs20 and canna.
  * Usage of wnn in emacs20 came to be denied because of update of
    emacs20 from 20.3 to 20.4.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Tue, 3 Nov 1999 13:47:50 +0900

user-ja (0.20) unstable; urgency=low

  * Fixed a typo in support.ja_JP.pl

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Tue, 2 Nov 1999 09:06:40 +0900

user-ja (0.19) unstable; urgency=low

  * Fixed a setting for SKK (Bug#48556).
  * Changed suggestion policy for nvi-m17n and nvi-m17n-canna.
  * Added a few example files in /usr/share/doc/user-ja/examples/.
  * Instruction for Japanese people to setup environment was added
    to /usr/share/doc/user-ja/README.jis.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Mon, 29 Oct 1999 14:56:40 +0900

user-ja (0.18) unstable; urgency=low

  * Can use SKK to input Japanese in emacs and X.
  * Shows additional required packages according to the setting.
  * Added 'user-ja-conf' item for menu system.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Mon, 25 Oct 1999 23:03:23 +0900

user-ja (0.17) unstable; urgency=low

  * Depends: locale-ja, gconv-modules
  * Sugests: yc-el, kinput2-canna-wnn|kinput2-canna|kinput2-wnn
  * Standards-Version: 3.0.1
  * Rewrite documents.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Mon, 18 Oct 1999 18:41:40 +0900

user-ja (0.16) unstable; urgency=low

  * Doesn't require [Enter] key in postinst.
  * Set Japanese input methods for Xemacs.
  * Can use yc-el in emacs.
  * Setting for Wnn in emacs. (buggy for GNU Emacs...)

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Sat, 16 Oct 1999 13:02:01 +0900

user-ja (0.15) unstable; urgency=low

  * remake to upload into Debian.

 -- Taketoshi Sano <sano@debian.org>  Mon,  4 Oct 1999 15:03:32 +0900

user-ja (0.14.ja2) unstable; urgency=low

  * 'krxvt*inputMethod: kinput2' is added to ja_JP.dot.Xresources.

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Sat, 2 Oct 1999 23:05:00 +0900

user-ja (0.14.ja1) unstable; urgency=low

  * $LANG is set to 'C' if $TERM is 'xterm-debian'. (dot.bashrc, dot.cshrc)
  * Japanese info pages is correctly displayed in GNU emacs. (dot.emacs)
  * Experimental incomplete support of i18n.
  * Codesets used in dotfiles are detected and the codesets are used
    to add configuration to the dotfiles (Bug#JP/1021).

 -- Tomohiro KUBOTA <kubota@debian.or.jp>  Mon, 28 Sep 1999 11:15:00 +0900

user-ja (0.14) unstable; urgency=low



=== debian/control ===
Source: user-ja
Section: misc
Priority: extra
Maintainer: Tomohiro KUBOTA <kubota@debian.or.jp>
Standards-Version: 3.0.1

Package: user-ja
Architecture: all
Depends: perl5, locale-ja, locales (>=2.1.2-12) | gconv-modules
Recommends: ncurses-term
Suggests: jless|lv, kon2|jfbterm, kterm|rxvt-ml, kinput2-canna-wnn|kinput2-wnn|kinput2-canna, nvi-m17n|nvi-m17n-canna, yc-el
Description: simple configuration tool for Japanese environment
 This tool adds basic settings for Japanese environment into some files
 including .emacs, .inputrc, .bashrc, .xsession, .Xresources etc.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=user-ja

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## user-ja 0.29

=== debian/changelog ===
user-ja (0.29) frozen unstable; urgency=low

  * Independence from the sponsor Taketoshi Sano.  (Thanks a lot!)
  * Shift to language-env.

 -- Tomohiro KUBOTA <kubota@debian.org>  Fri, 14 Jul 2000 19:03:55 +0900

=== debian/control ===
Source: user-ja
Section: misc
Priority: extra
Maintainer: Tomohiro KUBOTA <kubota@debian.org>
Standards-Version: 3.0.1

Package: user-ja
Architecture: all
Depends: language-env (>=0.08)
Description: simple configuration tool for Japanese environment
 This tool adds basic settings for Japanese environment into some files
 including .emacs, .inputrc, .bashrc, .xsession, .Xresources etc.
 .
 user-ja has been integrated into language-env package.
 This version is a 'meta' package which includes no files.  The only
 role of this package is to depend on language-env package so that
 upgrade from potato to woody becomes easy.  After installing this
 package you can uninstall this safely.

=== debian/rules ===
--- 
+++ 
@@ -15,21 +15,15 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
-	
 	# Add here commands to compile the package.
-	$(MAKE) 
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
-
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-
 	dh_clean
 
 install: install-stamp
@@ -38,10 +32,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-
 	touch install-stamp
 
 # Build architecture-independent files here.

## user-ja 0.30

=== debian/changelog ===
user-ja (0.30) unstable; urgency=low

  * Patch from Daniel Schepler <schepler@math.berkeley.edu>.
    + Add Build-Depends-Indep on debian/control. (Closes: #190614).
    + Build the package in binary-indep instead of binary-arch.
  * Updated Standards-Version: 3.6.0

 -- Tomohiro KUBOTA <kubota@debian.org>  Wed, 20 Aug 2003 22:05:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: user-ja
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Tomohiro KUBOTA <kubota@debian.org>
-Standards-Version: 3.0.1
+Build-Depends-Indep: debhelper
+Standards-Version: 3.6.0
 
 Package: user-ja
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -35,32 +35,31 @@
 	# Add here commands to install the package into debian/tmp.
 	touch install-stamp
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installexamples
-	dh_installmenu
+#	dh_installexamples
+#	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installinit
-	dh_installcron
+#	dh_installcron
 #	dh_installmanpages
-	dh_installinfo
+#	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
-	dh_link
-	dh_strip
+#	dh_link
+#	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
+#	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 	dh_perl
